For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
              • GETGet Global Cart Settings
              • PUTUpdate Global Cart Settings
              • GETGet Channel Cart Settings
              • PUTUpdate Channel Cart Settings
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCartsSettings

Get Channel Cart Settings

GET
https://api.bigcommerce.com/stores/:store_hash/v3/carts/settings/channels/:channel_id
GET
/stores/:store_hash/v3/carts/settings/channels/:channel_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/carts/settings/channels/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "allow_purchasing": true
4 },
5 "meta": {}
6}
Returns the per-channel overrides for the cart settings of a store. ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| |Information & Settings | modify | `store_v2_information`| |Information & Settings | read-only| `store_v2_information`|
Was this page helpful?
Previous

Update Global Cart Settings

Next

Update Channel Cart Settings

Built with

Returns the per-channel overrides for the cart settings of a store.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Cartsmodifystore_cart
Cartsread-onlystore_cart_read_only
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

channel_idintegerRequired
The channel ID of the settings overrides. ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| |Information & Settings | modify | `store_v2_information`| |Information & Settings | read-only| `store_v2_information`|
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Response

OK
dataobject
Represents all settings overrides related to the shopping cart functionality of a store for a channel.
metaobject
Response metadata.

Errors

401
Unauthorized Error

The channel ID of the settings overrides.

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information

The MIME type of the response body.